<template>
 <div id="edit">
   <div class="row">
            <div class="col offset-md-1">
                <form id="form_create_appointment">
                    <div class="form-row">
                        <div class="col form-group">
                            <label class="required">Date</label>
                            <input v-model="user1.date" class="form-control date-input" type="date" id="date" data-trigger="hover" data-toggle="popover" title="Date" data-content="You can select any date from today clicking on the number in the calendar" required>
                        </div>
                        <div class="col form-group">
                            <label>Description</label>
                            <select v-model="user1.description" class="form-control" id="description">
                                <option value="Cortar pello">Cortar pello</option>
                                 <option value="Cortar barba">Cortar barba</option>
                                  <option value="Cortar pello y barba">Cortar pello y barba</option>
                            </select>
                          
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col form-group">
                            <label class="required">Start Time</label>
                            <input v-model="user1.starttime" class="form-control time-input" type="time" id="start_time" required>
                        </div>
                        <div class="col form-group">
                            <label class="required">End Time</label>
                            <input v-model="user1.endtime" class="form-control time-input" type="time" id="end_time" required>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col form-group">
                            <button type="button" class="btn btn-warning btn-block" id="clear" onclick="clear_input()">Clear Form</button>
                        </div>
                        <div class="col form-group">
                     </div>
                       
        <button   @click="btnConfermEdit" type="button" class="btn btn-primary">Registre</button>

                    </div>
                </form>
                 </div>
                  </div>
            </div>
             </template>
            

<script>
export default {
  name: "EditAppointment",
  props:{
     user1: {
      propType: Object,
      required: true
    }
  },
   methods: {
    btnConfermEdit() {
      this.$emit("btn-conferm-edit", this.user1);
    }
  }
};
</script>

<style scoped>
